#!/usr/bin/python3
# -*- coding: UTF-8 -*-

# 23.05.2013

LSM303_TWI_ADR_A    = 0x30 #0x18
LSM303_TWI_ADR_M    = 0x3C # 0x1E

##LSM303DLH_DEVICE    = 0
##LSM303DLM_DEVICE = 1
##LSM303DLHC_DEVICE   = 2
##LSM_DEVICE_AUTO     = 3


# SA0_A states

LSM_SA0_A_LOW   = 0
LSM_SA0_A_HIGH  = 1
LSM_SA0_A_AUTO  = 2


# register addresses

LSM_CTRL_REG1_A         = 0x20
LSM_CTRL_REG2_A         = 0x21
LSM_CTRL_REG3_A         = 0x22
LSM_CTRL_REG4_A         = 0x23
LSM_CTRL_REG5_A         = 0x24
LSM_HP_FILTER_RESET_A   = 0x25
LSM_REFERENCE_A         = 0x26
LSM_STATUS_REG_A        = 0x27

LSM_OUT_X_L_A           = 0x28
LSM_OUT_X_H_A           = 0x29
LSM_OUT_Y_L_A           = 0x2A
LSM_OUT_Y_H_A           = 0x2B
LSM_OUT_Z_L_A           = 0x2C
LSM_OUT_Z_H_A           = 0x2D

LSM_INT1_CFG_A          = 0x30
LSM_INT1_SRC_A          = 0x31
LSM_INT1_THS_A          = 0x32
LSM_INT1_DURATION_A     = 0x33
LSM_INT2_CFG_A          = 0x34
LSM_INT2_SRC_A          = 0x35
LSM_INT2_THS_A          = 0x36
LSM_INT2_DURATION_A     = 0x37


##LSM_CLICK_CFG_A 0x38 // DLHC only
##LSM_CLICK_SRC_A 0x39 // DLHC only
##LSM_CLICK_THS_A 0x3A // DLHC only
##LSM_TIME_LIMIT_A 0x3B // DLHC only
##LSM_TIME_LATENCY_A 0x3C // DLHC only
##LSM_TIME_WINDOW_A 0x3D // DLHC only


LSM_CRA_REG_M           = 0x00
LSM_CRB_REG_M           = 0x01
LSM_MR_REG_M            = 0x02

LSM_OUT_X_H_M           = 0x03
LSM_OUT_X_L_M           = 0x04
LSM_OUT_Y_H_M           = 0x07
LSM_OUT_Y_L_M           = 0x08
LSM_OUT_Z_H_M           = 0x05
LSM_OUT_Z_L_M           = 0x06

LSM_SR_REG_MG           = 0x09
LSM_IRA_REG_M           = 0x0A
LSM_IRB_REG_M           = 0x0B
LSM_IRC_REG_M           = 0x0C

#LSM_WHO_AM_I_M 0x0F // DLM only


#LSM_TEMP_OUT_H_M 0x31 // DLHC only
#LSM_TEMP_OUT_L_M 0x32 // DLHC only

LSM303DLH_OUT_Y_H_M     = 0x05
LSM303DLH_OUT_Y_L_M     = 0x06
LSM303DLH_OUT_Z_H_M     = 0x07
LSM303DLH_OUT_Z_L_M     = 0x08

LSM303DLM_OUT_Z_H_M     = 0x05
LSM303DLM_OUT_Z_L_M     = 0x06
LSM303DLM_OUT_Y_H_M     = 0x07
LSM303DLM_OUT_Y_L_M     = 0x08

LSM303DLHC_OUT_Z_H_M    = 0x05
LSM303DLHC_OUT_Z_L_M    = 0x06
LSM303DLHC_OUT_Y_H_M    = 0x07
LSM303DLHC_OUT_Y_L_M    = 0x08
